# Class FrontendLogContext

java.lang.Object
com.databricks.jdbc.model.telemetry.FrontendLogContext

public class FrontendLogContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrontendLogContext()`

## Method Summary

Modifier and Type
Method
Description
`TelemetryClientContext`
`getClientContext()`
`FrontendLogContext`
`setClientContext(TelemetryClientContext clientContext)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FrontendLogContext

public FrontendLogContext()

## Method Details

### getClientContext

public TelemetryClientContext getClientContext()

### setClientContext

public FrontendLogContext setClientContext(TelemetryClientContext clientContext)

### toString

public String toString()

Overrides:
  `toString` in class `Object`